Subject: Re: [PATCH] [POWERPC] Xilinx: add compatibility for 'simple-bus'.

From: Grant Likely <[email-masked]>
Date: Mon, 30 Jun 2008 10:34:29 -0600

Stephen Neuendorffer wrote:
> Grant Likely wrote:
> > > I think the easiest solution is to change the Kconfig so that
> > > PPC_UDBG_16550 is only selected based on !XILINX_VIRTEX.  I've done this
> > > in my tree, but I've been swamped with other things at the moment, so I
> > > haven't verified it.
> > 
> > This is an easy solution, but it is not a good one.  Doing so would
> > break UDBG on other 405 boards when building multiplatform kernels.
> > It would be better to teach legacy serial about the shift and offset.
> > Alternately, add code to add_legacy_soc_port() to skip it if the
> > shift/offset properties are present.
> 
> Is there really much of a chance of that, given the differences
> with the bootwrappers?  Does anyone care enough about legacy_serial
> for this to matter?   My impression was that legacy serial was not
> preferred anyway...

You never know, a single kernel build can be wrapped multiple times, and
besides, it is a trivial fix.  Just add a test for the presence of
reg-shift and bail if it is present.

I don't know much about the history of legacy serial, but I do not
support adding multiplatform restrictions when not needed.
legacy_serial may be crusty, but it does have the advantage of
supporting UDBG which is a useful feature.  It may or may not go away.

Cheers,
g.